Replay Attack Affecting rngatherd package, versions [,2.0)


0.0
medium
  • Attack Complexity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-PYTHON-RNGATHERD-2869624

  • published

    28 Jun 2022

  • disclosed

    14 Jun 2022

  • credit

    Unknown

Introduced: 14 Jun 2022

CWE-294 Open this link in a new tab

How to fix?

Upgrade rngatherd to version 2.0 or higher.

Overview

rngatherd is a Random number gathering daemon which creates a /dev/hwrandom

Affected versions of this package are vulnerable to Replay Attack due to an insecure implementation of session verification.

References